Bug 474660 - [LTC 5.5 FEAT] Enhanced Linux System Layout for System z [200855]
[LTC 5.5 FEAT] Enhanced Linux System Layout for System z [200855]
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
s390x All
high Severity high
: alpha
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: FutureFeature, OtherQA, Reopened
Depends On:
Blocks: 481160
  Show dependency treegraph
 
Reported: 2008-12-04 14:30 EST by IBM Bug Proxy
Modified: 2009-08-03 07:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 12:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50301 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-04 14:30:34 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[200855]
a. Name of Feature:	Linux on System z: Enhanced Linux System Layout
b. Feature Description
Execute the user program in secondary space mode (executable comes through primary space while data
is accessed through the secondary space). Add a second paging table for data access. This enables
the kernel to map executable code to primary space only. The kernel itself will operate in home
space mode.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.21

3. Business Case
Enhanced Security: protection against buffer overwrite exploits.

Benefits
The item introduces a secure Linux system that is protected against stack overwrites, e.g.
delivering a system that is insensitive against buffer exploits (security!).

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 John Jarvis 2008-12-22 17:52:21 EST
IBM is signed up to test and provide feedback.
Comment 2 IBM Bug Proxy 2009-01-22 03:32:24 EST
As discussed in yesterdays call, this feature request need to be deferred to RHEL 5.5.
John plans to open a RHEL 5.5 Tracker BZ and connect that to this feature BZ to use this request for RHEL 5.5

I set this to defer for now, to re-open for RHEL 5.5 feature submission
Comment 3 John Jarvis 2009-03-25 12:45:25 EDT
Closing as DEFERRED based on comment 2
Comment 4 IBM Bug Proxy 2009-08-03 07:00:32 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 06:58 EDT-------
IBM not pursue this with RHEL 5 stream.
Closing feature request

Note You need to log in before you can comment on or make changes to this bug.